Skip to content

Fetch list of badges

Gamification: Badges

GET
/gamification/badges

Parameters

Query Parameters

page

page number of a paginated list starts from 1

Type
integer
Default
1
pageSize

the amount of results displayed in a paginated list, defaults to 10

Type
integer
Default
10
filters

filters the list: e.g. &filters[manualOnly]=1

Type
object

Responses

Returns badges

application/json
JSON
{
  
"totalItems": "1",
  
"results": [
  
  
{
  
  
  
"id": "1",
  
  
  
"title": "Ready to mingle",
  
  
  
"description": "Thanks for being so active around here! :) We hope that you keep inSpiring others with your replies!",
  
  
  
"enableBadgeRules": "false",
  
  
  
"image": "https://uploads-eu-west-1.insided.com/inspired-en/attachment/a1993b51-8a7b-4e89-921a-bef62a5be588.svg",
  
  
  
"thumbImage": "https://uploads-eu-west-1.insided.com/inspired-en/attachment/a1993b51-8a7b-4e89-921a-bef62a5be588_thumb.svg"
  
  
}
  
]
}

Samples

Gainsight CC Developer Portal